Bug 814919 - fuse-2.9.1 is available
fuse-2.9.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 06:12 EDT by Upstream Release Monitoring
Modified: 2012-09-17 19:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:05:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-04-21 06:12:28 EDT
Latest upstream release: 2.9.0
Current version in Fedora Rawhide: 2.8.7
URL: http://sourceforge.net/api/file/index/project-name/fuse/mtime/desc/limit/20/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Account closed by user 2012-04-21 07:10:06 EDT
What is new in 2.9

 - Add "zero copy" support for kernel 2.6.35 or newer

 - Make maximum background requests tunable on kernel 2.6.32 or newer

 - Require --no-canonicalize in (u)mount (util-linux version 2.18 or
   newer) to fix security problems with fusermount

 - Use dynamically sized hash tables in high level library

 - Memory use of filesystem daemon can shrink more easily

 - Add "auto_unmount" option

 - Add "remember" option

 - Add man pages for fusermount, mount.fuse and ulockmgr_server

 - API changes:

    o Introduce "store" and "retrieve" for accessing kernel buffers on
      kernel 2.6.36 or newer

    o Introduce abstract buffer for zero copy operations

    o Allow path calculation to be omitted on certain operations

    o Allow batching forget requests

    o Add "flock" method

    o Add support for ioctl on directories

    o Add delete notification

 - Bug fixes and small improvements
Comment 2 Upstream Release Monitoring 2012-07-19 12:58:36 EDT
Latest upstream release: 2.9.1
Current version in Fedora Rawhide: 2.8.7
URL: http://sourceforge.net/api/file/index/project-name/fuse/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Account closed by user 2012-08-28 13:12:59 EDT
ping !
Comment 4 Fedora Update System 2012-08-28 14:23:47 EDT
fuse-2.9.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fuse-2.9.1-1.fc18
Comment 5 Fedora Update System 2012-08-29 14:43:06 EDT
Package fuse-2.9.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fuse-2.9.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12915/fuse-2.9.1-1.fc18
then log in and leave karma (feedback).
Comment 6 Account closed by user 2012-08-29 20:36:35 EDT
(In reply to comment #1)
> What is new in 2.9
> 
>  - Add "zero copy" support for kernel 2.6.35 or newer
> 
>  - Make maximum background requests tunable on kernel 2.6.32 or newer
> 
>  - Require --no-canonicalize in (u)mount (util-linux version 2.18 or
>    newer) to fix security problems with fusermount
> 
>  - Use dynamically sized hash tables in high level library
> 
>  - Memory use of filesystem daemon can shrink more easily
> 
>  - Add "auto_unmount" option
> 
>  - Add "remember" option
> 
>  - Add man pages for fusermount, mount.fuse and ulockmgr_server
> 
>  - API changes:
> 
>     o Introduce "store" and "retrieve" for accessing kernel buffers on
>       kernel 2.6.36 or newer
> 
>     o Introduce abstract buffer for zero copy operations
> 
>     o Allow path calculation to be omitted on certain operations
> 
>     o Allow batching forget requests
> 
>     o Add "flock" method
> 
>     o Add support for ioctl on directories
> 
>     o Add delete notification
> 
>  - Bug fixes and small improvements

2.9.1 adds:

  - API changes:

      o Add fallocate operation (linux kernel 3.5 or newer)
Comment 7 Fedora Update System 2012-09-17 19:05:40 EDT
fuse-2.9.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.